summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGraham Dumpleton <Graham.Dumpleton@gmail.com>2021-06-18 13:12:47 +1000
committerGraham Dumpleton <Graham.Dumpleton@gmail.com>2021-06-18 13:12:47 +1000
commit899b6a5ef60e09f56adf2683592298c73230c00f (patch)
tree9822c3b6042376bf3714e363bd837f8c372d40cb
parentdd423a6ac03f2c9964f1744b908aca11e13c1896 (diff)
downloadmod_wsgi-899b6a5ef60e09f56adf2683592298c73230c00f.tar.gz
Change name of httpd test directory and ignore it for git.
-rw-r--r--.gitignore1
-rwxr-xr-xscripts/run-single-test.sh12
2 files changed, 7 insertions, 6 deletions
diff --git a/.gitignore b/.gitignore
index 6114d52..47b54e0 100644
--- a/.gitignore
+++ b/.gitignore
@@ -25,3 +25,4 @@ docs/_build
newrelic.ini
src/packages
venv
+httpd-test
diff --git a/scripts/run-single-test.sh b/scripts/run-single-test.sh
index 7281c95..744e3ce 100755
--- a/scripts/run-single-test.sh
+++ b/scripts/run-single-test.sh
@@ -3,17 +3,17 @@
END=$((SECONDS+15))
mod_wsgi-express setup-server tests/environ.wsgi \
- --server-root httpd --log-level info
+ --server-root httpd-test --log-level info
-trap "httpd/apachectl stop" EXIT
+trap "httpd-test/apachectl stop" EXIT
-touch httpd/error_log
+touch httpd-test/error_log
-tail -f httpd/error_log &
+tail -f httpd-test/error_log &
-httpd/apachectl start
+httpd-test/apachectl start
-while [ ! -f httpd/httpd.pid ]; do
+while [ ! -f httpd-test/httpd.pid ]; do
if [ $SECONDS -gt $END ]; then
echo 'Failed'
exit 1